Als fehlgeschlagen markieren
Integrationsleitfaden für mobile App
Als fehlgeschlagen markieren
Meldet, dass eine Nachricht nicht gesendet werden konnte.
Anfragekörper
| Feld | Typ | Beschreibung | |
|---|---|---|---|
| id | integer | erforderlich | Warteschlangen-Nachrichten-ID. |
| reason | string | optional | Lesbarer Fehlergrund (max. 499 Zeichen). Gespeichert in failed_reason. |
Beispielanfrage
cURL
curl -X POST "https://api.rcszilla.com/?endpoint=mark_failed" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR-DEVICE-TOKEN" \
-d '{"id": 101, "reason": "SmsManager returned RESULT_ERROR_NO_SERVICE"}'
Antwort
JSON200 OK
{"success": true, "message": "Marked as failed"}
Each call increments
retry_count on the queue row. The web panel's retry cron will re-queue the message automatically based on the configured retry policy.